Add a few common macros that are used across multiple files.

From: Philip Soltero <psoltero@cs.unm.edu>


---
 palacios/include/palacios/vmm.h      |    1 -
 palacios/include/palacios/vmm_util.h |    7 ++++++-
 2 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/palacios/include/palacios/vmm.h b/palacios/include/palacios/vmm.h
index ae4421c..26ca930 100644
--- a/palacios/include/palacios/vmm.h
+++ b/palacios/include/palacios/vmm.h
@@ -231,7 +231,6 @@ struct guest_info;
 	    }								\
 	}								\
     } while(0)								\
-	
 
 
 
diff --git a/palacios/include/palacios/vmm_util.h b/palacios/include/palacios/vmm_util.h
index c6111d2..14f69aa 100644
--- a/palacios/include/palacios/vmm_util.h
+++ b/palacios/include/palacios/vmm_util.h
@@ -64,7 +64,12 @@ void v3_dump_mem(uint8_t * start, int n);
 	val = tsc;					\
     } while (0)					
 
-
+/**
+ * Check if val is true. Control proceeds if val is true and goes to label if it is not.
+ */
+#define chk_true(val, label)    \
+    if (val);                   \
+    else goto label;
 
 
 
